Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Fri, 12 Aug 2022 21:41:36 +0000

>> I didn't yet have time to try the branch, but what you say begs a 
>> question: does the branch attempt to solve the problems of JSON files 
>> only, or does it attempt to solve a more general problem?
> 
> There is nothing json-specific in the branch. All the js/json stuff is 
> on master already.
>

That doesn't answer Eli's question, AFAIU.  The branch demonstrates that, 
with the Javascript/JSON improvements you installed recently on master, 
editing the 20 MB dictionary.json file without using locked narrowing 
around fontification-functions is reasonably efficient.